Unable to update Messenger from 18.1.1 to 18.2 on a Dell Precision T3400 workstation running SLES12

  • 7024369
  • 13-Jan-2020
  • 13-Jan-2020

Environment

GroupWise Messenger 18 Service Pack 2
SUSE Linux Enterprise Server 12 Service Pack 2 (SLES 12 SP2)

Situation

When I try to update GroupWise Messenger from version 18.1.1 to 18.2, the rpm update fails when it tries to
update arango.  The error is "Reinstalling package arangodb3-3.4.5-1.0 ...Failed to reinstall ./arangodb3-3.4.5-1.0.x86_64.rpm.  Aborting install."

Resolution

Messenger 18.1.1 used an older version of arango, which did not avail itself of the sse4_2
functionality, so it worked.  However the newer version of arango that comes with Messenger 18.2
requires the cpu to have this capability and the install will fail when it does not find the cpu with
this capability.  You can do this command to check the cpu :

  less /proc/cpuinfo
  
  The "flags" section should include "sse4_1 and "sse4_2", with this in place the install of 
  Messenger 18.2 should be fine.

The cpu in this computer does not support the sse4_2 cpu instruction set

Messenger 18.2 P1 Bug Fix (partial) List
    * install.sh - Check for sse4_2 instruction set, which is required for arangodb 3.4 to run.

the cpu in this computer does not support the cpu sse4_2 instruction set.

Feedback service temporarily unavailable. For content questions or problems, please contact Support.